%define _disable_ld_no_undefined 1

Summary:	DHCP Client Daemon
Name:		dhcpcd
Version:	10.0.6
Release:	%mkrel 1
License:	BSD-Like
Group:		System/Servers
URL:		http://dhcpcd.berlios.de/
Source0:	https://github.com/NetworkConfiguration/dhcpcd/releases/download/v%{version}/%{name}-%{version}.tar.xz

Patch1:		dhcpcd-6.1.0-fix-install-permissions.patch
Patch2:		dhcpcd-10.0.6-rebinding.patch

Requires(post): rpm-helper
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
dhcpcd is an RFC2131 compliant DHCP client. It is fully featured and yet
lightweight: the binary is 60k as reported by size(1) on Linux i386. It has
support for duplicate address detection, IPv4LL, carrier detection, and a
merged resolv.conf and ntp.conf for which other DHCP clients require third
party tools.

%prep
%setup -q
%patch1 -p1 -b .perms~
%patch2 -p1 -b .rebind~

%build
%configure2_5x \
		--sbindir=/sbin \
		--dbdir=/var/lib/%name \
		--runstatedir=%{_localstatedir}%{_rundir} \
		--with-hook="ntp lookup-hostname" \
		--enable-ipv4 \
		--enable-ipv6 \
		--enable-dhcp6 \
		--enable-auth \
		--enable-ipv4ll \
		--with-openssl \
		--with-default-hostname='localhost' \
		--enable-privsep \
		--privsepuser=dhcpcd \
		--with-udev
%make_build


%install
rm -rf %{buildroot}
%make_install

mkdir -p %{buildroot}/var/log
touch %{buildroot}/var/log/%{name}.log

%pre
getent group dhcpcd >/dev/null || groupadd -r dhcpcd
getent passwd dhcpcd >/dev/null || useradd -r -N -M -g dhcpcd \
	-s /sbin/nologin -d %{_sharedstatedir}/dhcpcd -c "dhcpcd client daemon" \
	dhcpcd

%post
# Create initial log files so that logrotate doesn't complain
if [ $1 = 1 ]; then # first install
    %create_ghostfile dhcpcd root root 644
fi

%clean
rm -rf %{buildroot}

%files
%config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(755,root,root) /sbin/%{name}
%dir %{_libexecdir}/%name-hooks
%{_libdir}/%{name}
%{_libexecdir}/%name-hooks/*
%{_libexecdir}/%name-run-hooks
%{_mandir}/man5/%{name}.conf.5.bz2
%{_mandir}/man8/%{name}-run-hooks.8.bz2
%{_mandir}/man8/%{name}.8.bz2
%ghost /var/log/%{name}.log
%defattr(0644,root,dhcpcd,0755)
%{_sharedstatedir}/%{name}
%exclude %_datadir/%name/

%changelog
* Sun Feb 04 2024 yodelu 10.0.6-1pclos2024
- update

* Thu Jan 28 2016 bb <bb> 6.10.1-1pclos2016
- update

* Tue Jan 19 2016 bb <bb> 6.10.0-1pclos2016
- update

* Tue Sep 21 2010 Texstar <texstar at gmail.com> 5.2.7-1pclos2010
- 5.2.7
